Skip to content
LogoLogo

Feegrant

Allowance

GET/cosmos/feegrant/v1beta1/allowance/{granter}/{grantee}

Allowance returns granted allwance to the grantee by the granter.

Path Parameters

granterRequired
string

granter is the address of the user granting an allowance of their funds.

granteeRequired
string

grantee is the address of the user being granted an allowance of another user's funds.

Responses

Allowances

GET/cosmos/feegrant/v1beta1/allowances/{grantee}

Allowances returns all the grants for the given grantee address.

Path Parameters

granteeRequired
string

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

AllowancesByGranter

GET/cosmos/feegrant/v1beta1/issued/{granter}

AllowancesByGranter returns all the grants given by an address

Path Parameters

granterRequired
string

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses